﻿Imports System.Globalization
Imports SpiceLogic.WinHTMLEditor.WinForm

Class MainWindow

    Private ReadOnly formHTMLEditor As WinFormHtmlEditor

    Public Sub New()
        InitializeComponent()
        formHTMLEditor = DirectCast(FindResource("formHTMLEditor"), WinFormHtmlEditor)
    End Sub

    Private Sub WinFormHtmlEditor_HtmlChanged(sender As Object, e As EventArgs)
        If formHTMLEditor Is Nothing Then
            Return
        End If
        lblStatus.Content = "The length of BodyHTML = " + formHTMLEditor.BodyHtml.Length.ToString(CultureInfo.InvariantCulture)
    End Sub

    Private Sub Window_Loaded(sender As Object, e As RoutedEventArgs)
        Me.formHTMLEditor.ToolbarItemOverrider.ToolbarItems.FontName.Focus()
        Me.formHTMLEditor.ToolbarItemOverrider.ToolbarItems.FontSize.Focus()
        Me.formHTMLEditor.ToolbarItemOverrider.ToolbarItems.TitleInsert.Focus()

        Me.formHTMLEditor.Focus()
    End Sub

    Private Sub btnBodyHtmlSetter_Click(sender As Object, e As RoutedEventArgs)
        formHTMLEditor.BodyHtml = "Hi Everyone, the time is now : " + DateTime.Now
    End Sub
End Class
