Imports System.Windows.Forms
Imports Dialog_Customization.Dialogs
Imports Dialog_Customization.Dialogs.StyleBuilder


Partial Public Class MainForm
    Inherits Form

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub MainForm_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        ' OK, it is not necessary that you need to override all dialogs. We have shown example code for overriding
        ' all dialogs. You can comment out any of the dialog setting code that you do not need to override.

        winFormHtmlEditor1.Dialog.ImageDialog = New ImageDialog()
        winFormHtmlEditor1.Dialog.HyperlinkDialog = New HyperLinkDialog()
        winFormHtmlEditor1.Dialog.SpellCheckerDialog = New SpellCheckerDialog() With {
            .Options = winFormHtmlEditor1.SpellCheckOptions
            }
        winFormHtmlEditor1.Dialog.TableCellDialog = New TableCellPropertiesDialog()
        winFormHtmlEditor1.Dialog.TableDialog = New TablePropertiesDialog(winFormHtmlEditor1.Dialog.TableCellDialog)
        winFormHtmlEditor1.Dialog.SymbolDialog = New SymbolDialog()
        winFormHtmlEditor1.Dialog.SearchDialog = New SearchWindow()
        winFormHtmlEditor1.Dialog.StyleBuilderDialog = New WinStyleBuilder()
        winFormHtmlEditor1.Dialog.YouTubeVideoInsertDialog = New YouTubeVideoInsertDialog()
    End Sub
End Class