﻿Imports SpiceLogic.HtmlEditorControl.Domain.DesignTime

Public Class Form1

    Private ReadOnly _dictionaries As New List(Of DictionaryFileInfo)()

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        WinFormHtmlEditor1.SpellCheckOptions.CurlyUnderlineImageFilePath = Application.StartupPath + "\\curly_underline_for_spell_checker.gif"
        _dictionaries.Add(New DictionaryFileInfo("dic\en_US.aff", "dic\en_US.dic", "dic\Custom_en_US.dic"))
        _dictionaries.Add(New DictionaryFileInfo("dic\fr_FR.aff", "dic\fr_FR.dic", "dic\Custom_fr_FR.dic"))
        languageComboBox.SelectedIndex = 0
    End Sub

    Private Sub languageComboBox_SelectedIndexChanged(sender As Object, e As EventArgs) Handles languageComboBox.SelectedIndexChanged
        WinFormHtmlEditor1.SpellCheckOptions.DictionaryFile = _dictionaries(languageComboBox.SelectedIndex)
    End Sub
End Class