﻿using System;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Overriding_the_behaviour : Form
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Overriding_the_behaviour"/> class.
        /// </summary>
        public Overriding_the_behaviour()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Handles the Load event of the Overriding_the_behaviour_and_click_of_existing_toolbar_item control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        private void Overriding_the_behaviour_and_click_of_existing_toolbar_item_Load(object sender, EventArgs e)
        {
            winFormHtmlEditor1.ToolbarItemOverrider.ToolbarItems.New.Visible = false;
            winFormHtmlEditor1.ToolbarItemOverrider.ToolbarItems.Save.Image = Properties.Resources.save_accept;
            winFormHtmlEditor1.ToolbarItemOverrider.SaveButtonClicked += ToolbarItemOverrider_SaveButtonClicked;
            winFormHtmlEditor1.ToolbarItemOverrider.ToolbarItems.Open.ToolTipText = "Load content from Database";
        }

        /// <summary>
        /// Handles the SaveButtonClicked event of the ToolbarItemOverrider control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        void ToolbarItemOverrider_SaveButtonClicked(object sender, EventArgs e)
        {
            MessageBox.Show("Save the data into Database.", "Custom Save Logic");
        }
    }
}
