﻿Imports SpiceLogic.HtmlEditorControl.Domain.BOs
Imports SpiceLogic.HtmlEditorControl.Domain.BOs.EditorEventArgs

Public Class Form1

    Private Sub WinFormHtmlEditor1_ContextMenuShowing(sender As System.Object, e As ContextMenuShowingEventArgs) Handles WinFormHtmlEditor1.ContextMenuShowing
        contextMenuItem_delete.Enabled = WinFormHtmlEditor1.StateQuery.CanDelete()
        contextMenuItem_copy.Enabled = WinFormHtmlEditor1.StateQuery.CanCopy()
        contextMenuItem_cut.Enabled = WinFormHtmlEditor1.StateQuery.CanCut()
        contextMenuItem_paste.Enabled = WinFormHtmlEditor1.StateQuery.CanPaste()

        youTubeVideoPropertiesToolStripMenuItem.Visible = WinFormHtmlEditor1.StateQuery.IsYouTubeVideo()

        contextMenuItem_imageProperties.Visible = WinFormHtmlEditor1.StateQuery.IsImage()
        contextMenuItem_linkProperties.Visible = WinFormHtmlEditor1.StateQuery.IsHyperLink()

        toolStripSeparator1Context.Visible = (WinFormHtmlEditor1.StateQuery.IsTable() OrElse WinFormHtmlEditor1.StateQuery.IsTableCell() OrElse WinFormHtmlEditor1.StateQuery.IsHyperLink())

        mergeCellsToolStripMenuItem.Visible = WinFormHtmlEditor1.StateQuery.CanMergeTableCells()
        contextMenuItem_tableProperties.Visible = WinFormHtmlEditor1.StateQuery.IsTable() OrElse WinFormHtmlEditor1.StateQuery.IsTableCell()
        contextMenuItem_cellProperties.Visible = WinFormHtmlEditor1.StateQuery.IsTableCell()
    End Sub

    Private Sub contextMenuItem_imageProperties_Click(sender As System.Object, e As EventArgs) Handles contextMenuItem_imageProperties.Click
        WinFormHtmlEditor1.ToolbarItemOverrider.OnImageButtonClicked(sender, e)
    End Sub

    Private Sub contextMenuItem_linkProperties_Click(sender As System.Object, e As EventArgs) Handles contextMenuItem_linkProperties.Click
        WinFormHtmlEditor1.ToolbarItemOverrider.OnHyperLinkButtonClicked(sender, e)
    End Sub

    Private Sub contextMenuItem_cellProperties_Click(sender As System.Object, e As EventArgs) Handles contextMenuItem_cellProperties.Click
        WinFormHtmlEditor1.ToolbarItemOverrider.OnTableCellEditingClicked(sender, e)
    End Sub

    Private Sub tablePropertiesToolStripMenuItem_Click(sender As System.Object, e As EventArgs) Handles tablePropertiesToolStripMenuItem.Click
        WinFormHtmlEditor1.ToolbarItemOverrider.OnTableModifyButtonClicked(sender, e)
    End Sub

    Private Sub deleteRowToolStripMenuItem_Click(sender As System.Object, e As EventArgs) Handles deleteRowToolStripMenuItem.Click
        WinFormHtmlEditor1.Content.TableAuthoringService.DeleteRow()
    End Sub

    Private Sub deleteColumnToolStripMenuItem_Click(sender As System.Object, e As EventArgs) Handles deleteColumnToolStripMenuItem.Click
        WinFormHtmlEditor1.Editor.Delete()
    End Sub

    Private Sub contextMenuItem_align_left_Click(sender As System.Object, e As EventArgs) Handles contextMenuItem_align_left.Click
        WinFormHtmlEditor1.Formatting.AlignLeft()
    End Sub

    Private Sub contextMenuItem_align_center_Click(sender As System.Object, e As EventArgs) Handles contextMenuItem_align_center.Click
        WinFormHtmlEditor1.Formatting.AlignCenter()
    End Sub

    Private Sub contextMenuItem_align_right_Click(sender As System.Object, e As EventArgs) Handles contextMenuItem_align_right.Click
        WinFormHtmlEditor1.Formatting.AlignRight()
    End Sub

    Private Sub contextMenuItem_align_remove_Click(sender As System.Object, e As EventArgs) Handles contextMenuItem_align_remove.Click
        WinFormHtmlEditor1.Formatting.RemoveAlignment()
    End Sub

    Private Sub contextMenuItem_cut_Click(sender As System.Object, e As EventArgs) Handles contextMenuItem_cut.Click
        WinFormHtmlEditor1.Editor.Cut()
    End Sub

    Private Sub contextMenuItem_copy_Click(sender As System.Object, e As EventArgs) Handles contextMenuItem_copy.Click
        WinFormHtmlEditor1.Editor.Copy()
    End Sub
 
    Private Sub contextMenuItem_paste_Click(sender As Object, e As EventArgs) Handles contextMenuItem_paste.Click
        WinFormHtmlEditor1.Editor.Paste()
    End Sub

    Private Sub contextMenuItem_delete_Click(sender As System.Object, e As EventArgs) Handles contextMenuItem_delete.Click
        WinFormHtmlEditor1.Editor.Delete()
    End Sub

    Private Sub contextMenuItem_selectAll_Click(sender As System.Object, e As EventArgs) Handles contextMenuItem_selectAll.Click
        WinFormHtmlEditor1.Selection.SelectAll()
    End Sub

    Private Sub youTubeVideoPropertiesToolStripMenuItem_Click(sender As System.Object, e As EventArgs) Handles youTubeVideoPropertiesToolStripMenuItem.Click
        WinFormHtmlEditor1.ToolbarItemOverrider.OnYouTubeVideoInsertButtonClicked(sender, e)
    End Sub

    Private Sub mergeCellsToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles mergeCellsToolStripMenuItem.Click
        WinFormHtmlEditor1.Content.TableAuthoringService.MergeSelectedCells()
    End Sub

    Private Sub insertRowBeforeToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles insertRowBeforeToolStripMenuItem.Click
        WinFormHtmlEditor1.Content.TableAuthoringService.InsertRow(InsertPositions.Before)
    End Sub

    Private Sub insertRowAfterToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles insertRowAfterToolStripMenuItem.Click
        WinFormHtmlEditor1.Content.TableAuthoringService.InsertRow(InsertPositions.After)
    End Sub

    Private Sub insertColumnBeforeToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles insertColumnBeforeToolStripMenuItem.Click
        WinFormHtmlEditor1.Content.TableAuthoringService.InsertColumn(InsertPositions.Before)
    End Sub

    Private Sub insertColumnAfterToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles insertColumnAfterToolStripMenuItem.Click
        WinFormHtmlEditor1.Content.TableAuthoringService.InsertColumn(InsertPositions.After)
    End Sub
End Class
