﻿using System;
using System.Windows.Forms;
using Dialog_Customization.Dialogs;
using Dialog_Customization.Dialogs.StyleBuilder;

namespace Dialog_Customization
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            // OK, it is not necessary that you need to override all dialogs. We have shown example code for overriding
            // all dialogs. You can comment out any of the dialog setting code that you do not need to override.

            winFormHtmlEditor1.Dialog.ImageDialog = new ImageDialog();
            winFormHtmlEditor1.Dialog.HyperlinkDialog = new HyperLinkDialog();
            winFormHtmlEditor1.Dialog.SpellCheckerDialog = new SpellCheckerDialog { Options = winFormHtmlEditor1.SpellCheckOptions };
            winFormHtmlEditor1.Dialog.TableCellDialog = new TableCellPropertiesDialog();
            winFormHtmlEditor1.Dialog.TableDialog = new TablePropertiesDialog(winFormHtmlEditor1.Dialog.TableCellDialog);
            winFormHtmlEditor1.Dialog.SymbolDialog = new SymbolDialog();
            winFormHtmlEditor1.Dialog.SearchDialog = new SearchWindow();
            winFormHtmlEditor1.Dialog.StyleBuilderDialog = new WinStyleBuilder();
            winFormHtmlEditor1.Dialog.YouTubeVideoInsertDialog = new YouTubeVideoInsertDialog();
        }
    }
}
